org.apache.tinkerpop.gremlin.process.computer.traversal.step.map

## Class ShortestPath

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.computer.traversal.step.map.ShortestPath

-     public class ShortestPath
      extends Object

  Configuration options to be passed to the `GraphTraversal.with(String, Object)` step.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `distance` Configures the edge property or traversal to use for shortest path distance calculations.
    `static String` | `edges` Configures the direction or traversal to use to filter the edges traversed during the shortest path search phase.
    `static String` | `includeEdges` Configures the inclusion of edges in the shortest path computation result.
    `static String` | `maxDistance` Configures the maximum distance for all shortest paths.
    `static String` | `target` Configures the traversal to use to filter the target vertices for all shortest paths.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShortestPath()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### target

          public static final String target

      Configures the traversal to use to filter the target vertices for all shortest paths.

    - #### edges

          public static final String edges

      Configures the direction or traversal to use to filter the edges traversed during the shortest path search phase.

    - #### distance

          public static final String distance

      Configures the edge property or traversal to use for shortest path distance calculations.

    - #### maxDistance

          public static final String maxDistance

      Configures the maximum distance for all shortest paths. Any path with a distance greater than the specified value will not be returned.

    - #### includeEdges

          public static final String includeEdges

      Configures the inclusion of edges in the shortest path computation result.

  - ### Constructor Detail

    - #### ShortestPath

          public ShortestPath()

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.